Index: xssim/trunk/src/test/rewolucja/scheduling/queue/QueueList.java
===================================================================
--- xssim/trunk/src/test/rewolucja/scheduling/queue/QueueList.java	(revision 104)
+++ xssim/trunk/src/test/rewolucja/scheduling/queue/QueueList.java	(revision 161)
@@ -3,5 +3,5 @@
 import java.util.ArrayList;
 
-public class QueueList extends ArrayList<GSSIMQueue> implements QueueListInterface {
+public class QueueList extends ArrayList<Queue> implements QueueListInterface {
 
 	private static final long serialVersionUID = -3824600938144742457L;
Index: xssim/trunk/src/test/rewolucja/scheduling/queue/QueueListInterface.java
===================================================================
--- xssim/trunk/src/test/rewolucja/scheduling/queue/QueueListInterface.java	(revision 104)
+++ xssim/trunk/src/test/rewolucja/scheduling/queue/QueueListInterface.java	(revision 161)
@@ -3,5 +3,5 @@
 import java.util.List;
 
-public interface QueueListInterface extends List<GSSIMQueue>{
+public interface QueueListInterface extends List<Queue>{
 
 
Index: xssim/trunk/src/test/rewolucja/scheduling/queue/Queue.java
===================================================================
--- xssim/trunk/src/test/rewolucja/scheduling/queue/Queue.java	(revision 161)
+++ xssim/trunk/src/test/rewolucja/scheduling/queue/Queue.java	(revision 161)
@@ -0,0 +1,70 @@
+package test.rewolucja.scheduling.queue;
+
+import gridsim.Gridlet;
+
+import java.util.ArrayList;
+
+import org.joda.time.DateTime;
+
+import test.rewolucja.GSSIMJobInterface;
+
+public class Queue extends ArrayList<GSSIMJobInterface> implements QueueInterface<GSSIMJobInterface>{
+
+
+	private static final long serialVersionUID = 6576299222910508209L;
+
+	protected String name;
+	protected int priority;
+	protected boolean supportReservation;
+	
+	public Queue (boolean supportReservation){
+		name = "GSSIMQueue";
+		priority = 0;
+		this.supportReservation = supportReservation;
+	}
+	
+	public boolean add(GSSIMJobInterface<?> job){
+		try {
+			job.setStatus(Gridlet.QUEUED);
+		} catch(Exception e){
+			throw new RuntimeException(e);
+		}
+		
+		return super.add(job);
+	}
+	
+	public void add(int pos, GSSIMJobInterface<?> job){
+		try {
+			job.setStatus(Gridlet.QUEUED);
+		} catch(Exception e){
+			throw new RuntimeException(e);
+		}
+		
+		 super.add(pos, job);
+	}
+	
+	public DateTime getArrivalTime(int pos) throws IndexOutOfBoundsException {
+		//return get(pos).getSubmissionTimeToBroker();
+		return null;
+	}
+
+	public String getName() {
+		return name;
+	}
+
+	public int getPriority() {
+		return priority;
+	}
+
+	public void setName(String name) {
+		this.name = name;
+	}
+
+	public void setPriority(int priority) {
+		this.priority = priority;
+	}
+
+	public boolean supportReservations() {
+		return supportReservation;
+	}
+}
Index: xssim/trunk/src/test/rewolucja/scheduling/queue/GSSIMQueue.java
===================================================================
--- xssim/trunk/src/test/rewolucja/scheduling/queue/GSSIMQueue.java	(revision 104)
+++ 	(revision )
@@ -1,72 +1,0 @@
-package test.rewolucja.scheduling.queue;
-
-import java.util.ArrayList;
-
-import gridsim.Gridlet;
-import gridsim.gssim.SubmittedTask;
-
-import org.joda.time.DateTime;
-
-import schedframe.scheduling.Queue;
-import test.rewolucja.GSSIMJobInterface;
-
-public class GSSIMQueue extends ArrayList<GSSIMJobInterface> implements QueueInterface<GSSIMJobInterface>{
-
-
-	private static final long serialVersionUID = 6576299222910508209L;
-
-	protected String name;
-	protected int priority;
-	protected boolean supportReservation;
-	
-	public GSSIMQueue (boolean supportReservation){
-		name = "GSSIMQueue";
-		priority = 0;
-		this.supportReservation = supportReservation;
-	}
-	
-	public boolean add(GSSIMJobInterface<?> job){
-		try {
-			job.setStatus(Gridlet.QUEUED);
-		} catch(Exception e){
-			throw new RuntimeException(e);
-		}
-		
-		return super.add(job);
-	}
-	
-	public void add(int pos, GSSIMJobInterface<?> job){
-		try {
-			job.setStatus(Gridlet.QUEUED);
-		} catch(Exception e){
-			throw new RuntimeException(e);
-		}
-		
-		 super.add(pos, job);
-	}
-	
-	public DateTime getArrivalTime(int pos) throws IndexOutOfBoundsException {
-		//return get(pos).getSubmissionTimeToBroker();
-		return null;
-	}
-
-	public String getName() {
-		return name;
-	}
-
-	public int getPriority() {
-		return priority;
-	}
-
-	public void setName(String name) {
-		this.name = name;
-	}
-
-	public void setPriority(int priority) {
-		this.priority = priority;
-	}
-
-	public boolean supportReservations() {
-		return supportReservation;
-	}
-}