Index: xssim/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java
===================================================================
--- xssim/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java	(revision 104)
+++ xssim/trunk/src/example/localplugin/FCFSConsolidationClusterLocalPlugin.java	(revision 163)
@@ -33,5 +33,5 @@
 import test.rewolucja.scheduling.plan.SchedulingPlanInterfaceNew;
 import test.rewolucja.scheduling.plan.SchedulingPlanNew;
-import test.rewolucja.scheduling.queue.GSSIMQueue;
+import test.rewolucja.scheduling.queue.Queue;
 import test.rewolucja.scheduling.queue.QueueList;
 
@@ -53,5 +53,5 @@
 			// our tasks are placed only in first queue (see
 			// BaseLocalPlugin.placeTasksInQueues() method)
-			GSSIMQueue q = queues.get(0);
+			Queue q = queues.get(0);
 			// check all tasks in queue
 
Index: xssim/trunk/src/example/localplugin/BaseLocalPlugin.java
===================================================================
--- xssim/trunk/src/example/localplugin/BaseLocalPlugin.java	(revision 129)
+++ xssim/trunk/src/example/localplugin/BaseLocalPlugin.java	(revision 163)
@@ -18,5 +18,5 @@
 import test.rewolucja.scheduling.plan.ScheduledTaskNew;
 import test.rewolucja.scheduling.plan.SchedulingPlanNew;
-import test.rewolucja.scheduling.queue.GSSIMQueue;
+import test.rewolucja.scheduling.queue.Queue;
 import test.rewolucja.scheduling.queue.QueueList;
 import test.rewolucja.task.JobList;
@@ -51,5 +51,5 @@
 		
 		// get the first queue from all available queues.
-		GSSIMQueue queue = queues.get(0);
+		Queue queue = queues.get(0);
 
 		for(int i = 0; i < newJobs.size(); i++){
Index: xssim/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java
===================================================================
--- xssim/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java	(revision 143)
+++ xssim/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java	(revision 163)
@@ -29,5 +29,5 @@
 import test.rewolucja.scheduling.plan.SchedulingPlanInterfaceNew;
 import test.rewolucja.scheduling.plan.SchedulingPlanNew;
-import test.rewolucja.scheduling.queue.GSSIMQueue;
+import test.rewolucja.scheduling.queue.Queue;
 import test.rewolucja.scheduling.queue.QueueList;
 
@@ -46,5 +46,5 @@
 		// our tasks are placed only in first queue (see
 		// BaseLocalPlugin.placeTasksInQueues() method)
-		GSSIMQueue q = queues.get(0);
+		Queue q = queues.get(0);
 		// chose the events types to serve.
 		// Different actions for different events are possible.
Index: xssim/trunk/src/example/localplugin/FCFSEnergyAwareClusterLocalPlugin.java
===================================================================
--- xssim/trunk/src/example/localplugin/FCFSEnergyAwareClusterLocalPlugin.java	(revision 104)
+++ xssim/trunk/src/example/localplugin/FCFSEnergyAwareClusterLocalPlugin.java	(revision 163)
@@ -19,5 +19,5 @@
 import test.rewolucja.scheduling.plan.SchedulingPlanInterfaceNew;
 import test.rewolucja.scheduling.plan.SchedulingPlanNew;
-import test.rewolucja.scheduling.queue.GSSIMQueue;
+import test.rewolucja.scheduling.queue.Queue;
 import test.rewolucja.scheduling.queue.QueueList;
 
@@ -39,5 +39,5 @@
 			// our tasks are placed only in first queue (see
 			// BaseLocalPlugin.placeTasksInQueues() method)
-			GSSIMQueue q = queues.get(0);
+			Queue q = queues.get(0);
 			// check all tasks in queue
 
Index: xssim/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java
===================================================================
--- xssim/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java	(revision 129)
+++ xssim/trunk/src/example/localplugin/FCFSClusterLocalPlugin.java	(revision 163)
@@ -30,5 +30,5 @@
 import test.rewolucja.scheduling.plan.SchedulingPlanInterfaceNew;
 import test.rewolucja.scheduling.plan.SchedulingPlanNew;
-import test.rewolucja.scheduling.queue.GSSIMQueue;
+import test.rewolucja.scheduling.queue.Queue;
 import test.rewolucja.scheduling.queue.QueueList;
 
@@ -51,5 +51,5 @@
 			// our tasks are placed only in first queue (see
 			// BaseLocalPlugin.placeTasksInQueues() method)
-			GSSIMQueue q = queues.get(0);
+			Queue q = queues.get(0);
 			// check all tasks in queue
 
Index: xssim/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java
===================================================================
--- xssim/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java	(revision 138)
+++ xssim/trunk/src/example/localplugin/FCFSNodePowerManagementClusterLocalPlugin.java	(revision 163)
@@ -27,5 +27,5 @@
 import test.rewolucja.scheduling.plan.SchedulingPlanInterfaceNew;
 import test.rewolucja.scheduling.plan.SchedulingPlanNew;
-import test.rewolucja.scheduling.queue.GSSIMQueue;
+import test.rewolucja.scheduling.queue.Queue;
 import test.rewolucja.scheduling.queue.QueueList;
 
@@ -47,5 +47,5 @@
 			// our tasks are placed only in first queue (see
 			// BaseLocalPlugin.placeTasksInQueues() method)
-			GSSIMQueue q = queues.get(0);
+			Queue q = queues.get(0);
 			// check all tasks in queue
 
Index: xssim/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java
===================================================================
--- xssim/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java	(revision 104)
+++ xssim/trunk/src/example/localplugin/FCFSRandomClusterLocalPlugin.java	(revision 163)
@@ -17,5 +17,5 @@
 import test.rewolucja.scheduling.plan.SchedulingPlanInterfaceNew;
 import test.rewolucja.scheduling.plan.SchedulingPlanNew;
-import test.rewolucja.scheduling.queue.GSSIMQueue;
+import test.rewolucja.scheduling.queue.Queue;
 import test.rewolucja.scheduling.queue.QueueList;
 
@@ -40,5 +40,5 @@
 			// our tasks are placed only in first queue (see
 			// BaseLocalPlugin.placeTasksInQueues() method)
-			GSSIMQueue q = queues.get(0);
+			Queue q = queues.get(0);
 			// check all tasks in queue
 