Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudio.mxml
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudio.mxml	(revision 98)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/GSSimStudio.mxml	(revision 183)
@@ -43,17 +43,17 @@
 			<stageInOut>
 				<directory name="input" type="in">
-					<location type="URL">gsiftp://grass1.man.poznan.pl//home/mcichenski/gssim/input</location>
+					<location type="URL">gsiftp://gssim.man.poznan.pl//usr/local/admin/gssim/input</location>
 				</directory>
 				
 				<directory name="output" type="out">
-					<location type="URL">gsiftp://grass1.man.poznan.pl//home/mcichenski/gssim/output/$\{JOB_ID}-$\{TASK_ID}</location>
+					<location type="URL">gsiftp://gssim.man.poznan.pl//usr/local/admin/gssim/output/$\{JOB_ID}-$\{TASK_ID}</location>
 				</directory>
 
 				<file name="gssim.log" type="out" required="false">
-					<location type="URL">gsiftp://grass1.man.poznan.pl//home/mcichenski/gssim/output/$\{JOB_ID}-$\{TASK_ID}/gssim.log</location>
+					<location type="URL">gsiftp://gssim.man.poznan.pl//usr/local/admin/gssim/output/$\{JOB_ID}-$\{TASK_ID}/gssim.log</location>
 				</file>
 
 				<file name="trash.log" type="out" required="false">
-					<location type="URL">gsiftp://grass1.man.poznan.pl//home/mcichenski/gssim/output/$\{JOB_ID}-$\{TASK_ID}/trash.log</location>
+					<location type="URL">gsiftp://gssim.man.poznan.pl//usr/local/admin/gssim/output/$\{JOB_ID}-$\{TASK_ID}/trash.log</location>
 				</file>
 			</stageInOut>
Index: /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java
===================================================================
--- /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java	(revision 99)
+++ /gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/java/gssim/gssimstudio/flex/app/editor/GSSimStudio.java	(revision 183)
@@ -1892,5 +1892,5 @@
         log.debug("loadFileLocationItems " + fileLocationUrl);
         
-        String url = "gsiftp://grass1.man.poznan.pl:2811/home/mcichenski/gssim/input/workloads/?filetype=directory";
+        String url = "gsiftp://gssim.man.poznan.pl:2811/usr/local/admin/gssim/input/workloads/?filetype=directory";
         
         // Create file location for url
@@ -1907,5 +1907,5 @@
         
       //List topology files
-        url = "gsiftp://grass1.man.poznan.pl:2811/home/mcichenski/gssim/input/topologies/?filetype=directory";
+        url = "gsiftp://gssim.man.poznan.pl:2811/usr/local/admin/gssim/input/topologies/?filetype=directory";
         folderLocation = new FileLocation(url);
         fileManager.changeLocation(folderLocation);
@@ -1915,5 +1915,5 @@
         
         //List resource files
-        url = "gsiftp://grass1.man.poznan.pl:2811/home/mcichenski/gssim/input/resources/?filetype=directory";
+        url = "gsiftp://gssim.man.poznan.pl:2811/usr/local/admin/gssim/input/resources/?filetype=directory";
         folderLocation = new FileLocation(url);
         fileManager.changeLocation(folderLocation);
@@ -1923,5 +1923,5 @@
         
         //reset current location
-        url = "gsiftp://grass1.man.poznan.pl:2811/home/mcichenski/?filetype=directory";
+        url = "gsiftp://gssim.man.poznan.pl:2811/usr/local/admin/?filetype=directory";
         folderLocation = new FileLocation(url);
         fileManager.changeLocation(folderLocation);
@@ -1937,5 +1937,5 @@
         log.debug("loadFileLocationItems" + fileLocationUrl);
 
-        String url = "gsiftp://grass1.man.poznan.pl:2811/home/mcichenski/gssim/input/workloads/?filetype=directory";
+        String url = "gsiftp://gssim.man.poznan.pl:2811/usr/local/admin/gssim/input/workloads/?filetype=directory";
         
         // Create file location for url
@@ -1952,5 +1952,5 @@
         
         //List topology files
-        url = "gsiftp://grass1.man.poznan.pl:2811/home/mcichenski/gssim/input/topologies/?filetype=directory";
+        url = "gsiftp://gssim.man.poznan.pl:2811/usr/local/admin/gssim/input/topologies/?filetype=directory";
         folderLocation = new FileLocation(url);
         fileManager = fileResourceManager.createFileManager(folderLocation);
@@ -1960,5 +1960,5 @@
         
         //List resource files
-        url = "gsiftp://grass1.man.poznan.pl:2811/home/mcichenski/gssim/input/resources/?filetype=directory";
+        url = "gsiftp://gssim.man.poznan.pl:2811/usr/local/admin/gssim/input/resources/?filetype=directory";
         folderLocation = new FileLocation(url);
         fileManager = fileResourceManager.createFileManager(folderLocation);
@@ -1968,5 +1968,5 @@
         
         //reset current location
-        url = "gsiftp://grass1.man.poznan.pl:2811/home/mcichenski/?filetype=directory";
+        url = "gsiftp://gssim.man.poznan.pl:2811/usr/local/admin/?filetype=directory";
         folderLocation = new FileLocation(url);
         fileManager = fileResourceManager.createFileManager(folderLocation);