Index: xssim/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java
===================================================================
--- xssim/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java	(revision 192)
+++ xssim/trunk/src/example/localplugin/FCFSCPUFreqScalingClusterLocalPlugin.java	(revision 204)
@@ -25,5 +25,5 @@
 import test.rewolucja.resources.manager.interfaces.ResourceManagerInterface;
 import test.rewolucja.resources.physical.base.ComputingResource;
-import test.rewolucja.resources.physical.implementation.CPU;
+import test.rewolucja.resources.physical.implementation.Processor;
 import test.rewolucja.scheduling.JobRegistryInterface;
 import test.rewolucja.scheduling.UsedResourceList;
@@ -35,7 +35,7 @@
 public class FCFSCPUFreqScalingClusterLocalPlugin extends BaseLocalPlugin {
 
-	List<CPU> allocatedCPUs;
+	List<Processor> allocatedCPUs;
 	public FCFSCPUFreqScalingClusterLocalPlugin () {
-		allocatedCPUs = new ArrayList<CPU>();
+		allocatedCPUs = new ArrayList<Processor>();
 	}
 
@@ -65,7 +65,7 @@
 						addToSchedulingPlan(plan, task, choosenResources);
 						ProcessingElements pes = (ProcessingElements)choosenResources.get(ResourceParameterName.PROCESSINGELEMENTS);
-						List<CPU> processors =  new ArrayList<CPU>();
+						List<Processor> processors =  new ArrayList<Processor>();
 						for(ComputingResource res : pes){
-							processors.add((CPU) res);
+							processors.add((Processor) res);
 						}
 						adjustFrequency(ResourceStatus.BUSY,processors);
@@ -80,8 +80,8 @@
 			UsedResourceList<ResourceHistoryItem> usedResourcesList = subTask.getUsedResources();
 			ProcessingElements pes = (ProcessingElements)usedResourcesList.getLast().getResourceUnits().get(ResourceParameterName.PROCESSINGELEMENTS);
-			List<CPU> processors =  new ArrayList<CPU>();
+			List<Processor> processors =  new ArrayList<Processor>();
 			for(ComputingResource res : pes){
-				processors.add((CPU) res);
-				allocatedCPUs.add((CPU) res);
+				processors.add((Processor) res);
+				allocatedCPUs.add((Processor) res);
 			}
 			adjustFrequency(ResourceStatus.FREE, processors);
@@ -93,7 +93,7 @@
 			usedResourcesList = subTask.getUsedResources();
 			pes = (ProcessingElements)usedResourcesList.getLast().getResourceUnits().get(ResourceParameterName.PROCESSINGELEMENTS);
-			processors =  new ArrayList<CPU>();
+			processors =  new ArrayList<Processor>();
 			for(ComputingResource res : pes){
-				allocatedCPUs.remove((CPU) res);
+				allocatedCPUs.remove((Processor) res);
 			}
 			// check all tasks in queue
@@ -108,7 +108,7 @@
 						addToSchedulingPlan(plan, task, choosenResources);
 						pes = (ProcessingElements)choosenResources.get(ResourceParameterName.PROCESSINGELEMENTS);
-						processors =  new ArrayList<CPU>();
+						processors =  new ArrayList<Processor>();
 						for(ComputingResource res : pes){
-							processors.add((CPU) res);
+							processors.add((Processor) res);
 						}
 						adjustFrequency(ResourceStatus.BUSY, processors);
@@ -135,5 +135,5 @@
 		if (cpuRequest != 0) {
 			List<ComputingResource> choosenResources = null;
-			List<CPU> processors = resourceManager.getProcessors();
+			List<Processor> processors = resourceManager.getProcessors();
 			processors.removeAll(allocatedCPUs);
 			if (processors.size() < cpuRequest) {
@@ -163,8 +163,8 @@
 	}
 
-	private void adjustFrequency(ResourceStatus status, List<CPU> processors){
+	private void adjustFrequency(ResourceStatus status, List<Processor> processors){
 		switch(status){
 		case BUSY:
-			for(CPU cpu: processors){
+			for(Processor cpu: processors){
 				if(cpu.getPowerInterface().getSupportedPStates().containsKey(PStateType.P0))
 					cpu.getPowerInterface().setPState(PStateType.P0);
@@ -172,5 +172,5 @@
 			break;
 		case FREE:
-			for(CPU cpu: processors){
+			for(Processor cpu: processors){
 				if(cpu.getPowerInterface().getSupportedPStates().containsKey(PStateType.P3))
 					cpu.getPowerInterface().setPState(PStateType.P3);