Index: xssim/trunk/src/test/rewolucja/schemas/XSSimResSchema.xsd
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/XSSimResSchema.xsd	(revision 234)
+++ xssim/trunk/src/test/rewolucja/schemas/XSSimResSchema.xsd	(revision 234)
@@ -0,0 +1,196 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
+	elementFormDefault="qualified" attributeFormDefault="unqualified">
+	
+	<xs:complexType name="computingResourceParameterType">
+		<xs:annotation>
+			<xs:documentation>Computational resource related parameter</xs:documentation>
+		</xs:annotation>
+		<xs:complexContent>
+			<xs:extension base="parameterType">
+				<xs:attribute name="name" type="computingResourceParameterName" use="required"/>
+			</xs:extension>
+		</xs:complexContent>
+	</xs:complexType>
+
+	<xs:simpleType name="computingResourceParameterName">
+		<xs:restriction base="xs:string">
+			<xs:enumeration value="count"/>
+			<xs:enumeration value="arch"/>
+			<xs:enumeration value="memory"/>
+			<xs:enumeration value="freememory"/>
+			<xs:enumeration value="diskspace"/>
+			<xs:enumeration value="freediskspace"/>
+			<xs:enumeration value="speed"/>
+			<xs:enumeration value="cost"/>
+			<xs:enumeration value="load"/>
+			<xs:enumeration value="application"/>
+			<xs:enumeration value="osname"/>
+			<xs:enumeration value="ostype"/>
+			<xs:enumeration value="osversion"/>
+			<xs:enumeration value="osrelease"/>
+		</xs:restriction>
+	</xs:simpleType>
+	
+		<xs:complexType name="logicalResourceParameterType">
+		<xs:annotation>
+			<xs:documentation>Computational resource related parameter</xs:documentation>
+		</xs:annotation>
+		<xs:complexContent>
+			<xs:extension base="parameterType">
+				<xs:attribute name="name" type="logicalResourceParameterName" use="required"/>
+			</xs:extension>
+		</xs:complexContent>
+	</xs:complexType>
+	
+	<xs:simpleType name="logicalResourceParameterName">
+		<xs:restriction base="xs:string">
+			<xs:enumeration value="TO DO"/>
+		</xs:restriction>
+	</xs:simpleType>
+	
+	<xs:complexType name="energyParameterType">
+		<xs:annotation>
+			<xs:documentation>Computational resource related parameter</xs:documentation>
+		</xs:annotation>
+		<xs:complexContent>
+			<xs:extension base="parameterType">
+				<xs:attribute name="name" type="energyParameterName" use="required"/>
+			</xs:extension>
+		</xs:complexContent>
+	</xs:complexType>
+	
+	<xs:simpleType name="energyParameterName">
+		<xs:restriction base="xs:string">
+			<xs:enumeration value="powerProfile"/>
+			<xs:enumeration value="estimationPlugin"/>
+		</xs:restriction>
+	</xs:simpleType>
+	
+	<xs:complexType name="schedulingParameterType">
+		<xs:annotation>
+			<xs:documentation>Computational resource related parameter</xs:documentation>
+		</xs:annotation>
+		<xs:complexContent>
+			<xs:extension base="parameterType">
+				<xs:attribute name="name" type="schedulingParameterName" use="required"/>
+			</xs:extension>
+		</xs:complexContent>
+	</xs:complexType>
+	
+	<xs:simpleType name="schedulingParameterName">
+		<xs:restriction base="xs:string">
+			<xs:enumeration value="schedulingPlugin"/>
+		</xs:restriction>
+	</xs:simpleType>
+	
+	<xs:complexType name="otherParameterType">
+		<xs:annotation>
+			<xs:documentation>Dynamically defined parameter of resource</xs:documentation>
+		</xs:annotation>
+		<xs:complexContent>
+			<xs:extension base="parameterType">
+				<xs:attribute name="name" type="xs:string" use="required"/>
+				<xs:attribute name="endpoint" type="xs:string" use="optional"/>
+			</xs:extension>
+		</xs:complexContent>
+	</xs:complexType>
+	
+	<xs:complexType name="parameterType">
+		<xs:annotation>
+			<xs:documentation>Description of parameter of resource</xs:documentation>
+		</xs:annotation>
+		<xs:sequence>
+			<xs:element name="paramValue" type="xs:string" minOccurs="0" maxOccurs="unbounded"/>
+			<xs:element name="property" minOccurs="0" maxOccurs="unbounded">
+				<xs:complexType>
+					<xs:sequence>
+						<xs:element name="value" type="xs:string" minOccurs="0" maxOccurs="unbounded"/>
+					</xs:sequence>
+					<xs:attribute name="name" type="xs:string" use="required"/>
+					<xs:attribute name="exclude" type="xs:boolean" use="optional" default="false"/>
+				</xs:complexType>
+			</xs:element>
+		</xs:sequence>
+	</xs:complexType>
+	
+	<xs:complexType name="managedComputingResourceType">
+		<xs:annotation>
+			<xs:documentation>Computing resource</xs:documentation>
+		</xs:annotation>
+
+				<xs:choice minOccurs="0" maxOccurs="1">
+					<xs:element name="associatedComputingResource" type="xs:string"></xs:element>
+					<xs:element name="listOfManagedResources" type="resourceList"></xs:element>
+				</xs:choice>
+	</xs:complexType>
+	
+	<xs:simpleType name="resourceList">
+		<xs:list itemType="xs:string"></xs:list>
+	</xs:simpleType>
+	
+	<xs:complexType name="computingResourceType">
+		<xs:annotation>
+			<xs:documentation>Computing resource</xs:documentation>
+		</xs:annotation>
+		<xs:complexContent>
+			<xs:extension base="resource">
+				<xs:choice minOccurs="0" maxOccurs="unbounded">
+					<xs:element name="computingResource" type="computingResourceType"></xs:element>
+					<xs:element name="resourceParameter" type="computingResourceParameterType"></xs:element>
+					<xs:element name="energyParameter" type="energyParameterType"></xs:element>
+					<xs:element name="schedulingParameter" type="schedulingParameterType"></xs:element>
+					<xs:element name="otherParameter" type="otherParameterType"/>
+				</xs:choice>
+			</xs:extension>
+		</xs:complexContent>
+	</xs:complexType>
+	
+	<xs:complexType name="logicalResourceType">
+		<xs:annotation>
+			<xs:documentation>Computing resource</xs:documentation>
+		</xs:annotation>
+		<xs:complexContent>
+			<xs:extension base="resource">
+			<xs:sequence minOccurs="0" maxOccurs="1">
+				<xs:element name="schedulingParameter" type="schedulingParameterType" minOccurs="0" maxOccurs="1"></xs:element>
+				<xs:choice minOccurs="0" maxOccurs="unbounded">
+					<xs:element name="managedComputingResource" type="managedComputingResourceType" minOccurs="0" maxOccurs="1"></xs:element>
+					<xs:element name="logicalResource" type="logicalResourceType"></xs:element>
+					<xs:element name="otherParameter" type="otherParameterType"/>
+				</xs:choice>
+			</xs:sequence>
+			</xs:extension>
+		</xs:complexContent>
+	</xs:complexType>
+
+	<xs:complexType name="resource">
+		<xs:attribute name="resourceType" type="xs:string" use="required" />
+		<xs:attribute name="resourceId" type="xs:string" use="optional" />
+	</xs:complexType>
+
+	<xs:element name="environment">
+		<xs:annotation>
+			<xs:documentation>Schema describing simulation environment
+			</xs:documentation>
+		</xs:annotation>
+		<xs:complexType>
+			<xs:sequence>
+				<xs:element name="resources">
+					<xs:annotation>
+						<xs:documentation>Description of resources</xs:documentation>
+					</xs:annotation>
+					<xs:complexType>
+						<xs:sequence>
+							<xs:element name="computingResource" type="computingResourceType" maxOccurs="unbounded">
+							</xs:element>
+							<xs:element name="logicalResource" type="logicalResourceType" minOccurs="0">
+							</xs:element>
+						</xs:sequence>
+					</xs:complexType>
+				</xs:element>
+			</xs:sequence>
+		</xs:complexType>
+	</xs:element>
+
+</xs:schema>