Index: xssim/trunk/src/test/rewolucja/schemas/example/example1.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/example1.xml	(revision 235)
+++ xssim/trunk/src/test/rewolucja/schemas/example/example1.xml	(revision 235)
@@ -0,0 +1,35 @@
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../XSSimResSchema.xsd">
+	
+	<!-- Analogiczny opis zasobow jak do tej pory, dla srodowiska gridowego -->
+	<resources>
+		<computingResource resourceType="DataCenter" resourceId="compRes1">
+			<!-- Plugin szeregujacy zdefiniowany dla zasobu fizycznego (w przypadku gdy "pokrywa sie" on z logicznym)-w  tym przypadku jest to po prostu klaster -->
+			<schedulingParameter name="schedulingPlugin">
+				<paramValue>FCFSLocalSchedulingPlugin</paramValue>
+			</schedulingParameter>
+			<computingResource resourceType="Processor">
+				<resourceParameter name="count">
+					<paramValue>64</paramValue>
+				</resourceParameter>
+			</computingResource>
+		</computingResource>	
+		<computingResource resourceType="DataCenter" resourceId="compRes2">
+			<schedulingParameter name="schedulingPlugin">
+				<paramValue>FCFSLocalSchedulingPlugin</paramValue>
+			</schedulingParameter>
+			<computingResource resourceType="Processor">
+				<resourceParameter name="count">
+					<paramValue>64</paramValue>
+				</resourceParameter>
+			</computingResource>
+		</computingResource>
+		<!-- Plugin dla Brokera
+		Pytanie odnosnie zasobow do ktorych ma on dostep: domyslnie wszystkie z opisu (tzn compRes1 i compRes2) czy nalezaloby je wyspecyfikowac? (patrz example2.xml) -->
+		<logicalResource resourceType="GridBroker" resourceId="gridBroker">
+			<schedulingParameter name="schedulingPlugin">
+				<paramValue>GridFCFSLoadBalancingPlugin</paramValue>
+			</schedulingParameter>
+		</logicalResource>	
+	</resources>
+</environment>
Index: xssim/trunk/src/test/rewolucja/schemas/example/example2.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/example2.xml	(revision 235)
+++ xssim/trunk/src/test/rewolucja/schemas/example/example2.xml	(revision 235)
@@ -0,0 +1,45 @@
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../XSSimResSchema.xsd">
+	
+	<!-- Opis zasobow dla srodowiska gridowego -->
+	<resources>
+		<computingResource resourceType="DataCenter" resourceId="compRes1">
+			<computingResource resourceType="Processor">
+				<resourceParameter name="count">
+					<paramValue>64</paramValue>
+				</resourceParameter>
+			</computingResource>
+		</computingResource>	
+		<computingResource resourceType="DataCenter" resourceId="compRes2">
+			<computingResource resourceType="Processor">
+				<resourceParameter name="count">
+					<paramValue>64</paramValue>
+				</resourceParameter>
+			</computingResource>
+		</computingResource>
+		<!-- W tym przypadku Broker zarzadza dwoma klastrami (cluster1 i cluster2)
+		Kazdy z klastrow skojarzony jest z odpowiednimi zasobami (odpowiednio compRes1 i compRes2) tzn. sklada sie(zarzadza) wszystkimi zasobami znajdujacymi sie pod nimi
+		Patrz tez example3.xml -->
+		<logicalResource resourceType="GridBroker" resourceId="gridBroker">
+			<schedulingParameter name="schedulingPlugin">
+				<paramValue>GridFCFSLoadBalancingPlugin</paramValue>
+			</schedulingParameter>	
+			<logicalResource resourceType="Cluster" resourceId="cluster1">
+				<schedulingParameter name="schedulingPlugin">
+					<paramValue>FCFSLocalSchedulingPlugin</paramValue>
+				</schedulingParameter>	
+				<managedComputingResource>
+					<associatedComputingResource>compRes1</associatedComputingResource>
+				</managedComputingResource>
+			</logicalResource>
+			<logicalResource resourceType="Cluster" resourceId="cluster2">
+				<schedulingParameter name="schedulingPlugin">
+					<paramValue>FCFSLocalSchedulingPlugin</paramValue>
+				</schedulingParameter>
+				<managedComputingResource>
+					<associatedComputingResource>compRes2</associatedComputingResource>
+				</managedComputingResource>	
+			</logicalResource>
+		</logicalResource>	
+	</resources>
+</environment>
Index: xssim/trunk/src/test/rewolucja/schemas/example/example3.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/example3.xml	(revision 235)
+++ xssim/trunk/src/test/rewolucja/schemas/example/example3.xml	(revision 235)
@@ -0,0 +1,62 @@
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../XSSimResSchema.xsd">
+	
+	<!-- Opis zasobow dla srodowiska gridowego -->
+	<resources>
+		<computingResource resourceType="DataCenter" resourceId="compRes1">
+			<computingResource resourceType="ComputingNode" resourceId="node11"/>
+			<computingResource resourceType="ComputingNode" resourceId="node12"/>
+			<computingResource resourceType="ComputingNode" resourceId="node13"/>
+			<computingResource resourceType="ComputingNode" resourceId="node14"/>
+			<computingResource resourceType="ComputingNode" resourceId="node15"/>
+			<computingResource resourceType="ComputingNode" resourceId="node16"/>
+		</computingResource>	
+		<computingResource resourceType="DataCenter" resourceId="compRes2">
+			<computingResource resourceType="ComputingNode" resourceId="node21"/>
+			<computingResource resourceType="ComputingNode" resourceId="node22"/>
+			<computingResource resourceType="ComputingNode" resourceId="node23"/>
+			<computingResource resourceType="ComputingNode" resourceId="node24"/>
+			<computingResource resourceType="ComputingNode" resourceId="node25"/>
+			<computingResource resourceType="ComputingNode" resourceId="node26"/>
+		</computingResource>
+		<!-- W tym przypadku Broker zarzadza czterema klastrami (cluter1, cluster2, cluster3, cluster4)
+		Kazdy z klastrow sklada sie(zarzadza) z 3 wezlow wylistowanych ponizej -->
+		<logicalResource resourceType="GridBroker" resourceId="gridBroker">
+			<schedulingParameter name="schedulingPlugin">
+				<paramValue>GridFCFSLoadBalancingPlugin</paramValue>
+			</schedulingParameter>	
+			<logicalResource resourceType="Cluster" resourceId="cluster1">
+				<schedulingParameter name="schedulingPlugin">
+					<paramValue>FCFSLocalSchedulingPlugin</paramValue>
+				</schedulingParameter>	
+				<managedComputingResource>
+					<listOfManagedResources> node11 node12 node 13</listOfManagedResources>
+				</managedComputingResource>
+			</logicalResource>
+			<logicalResource resourceType="Cluster" resourceId="cluster2">
+				<schedulingParameter name="schedulingPlugin">
+					<paramValue>FCFSLocalSchedulingPlugin</paramValue>
+				</schedulingParameter>
+				<managedComputingResource>
+					<listOfManagedResources> node14 node15 node 16</listOfManagedResources>
+				</managedComputingResource>
+			</logicalResource>
+			<logicalResource resourceType="Cluster" resourceId="cluster3">
+				<schedulingParameter name="schedulingPlugin">
+					<paramValue>FCFSLocalSchedulingPlugin</paramValue>
+				</schedulingParameter>	
+				<managedComputingResource>
+					<listOfManagedResources> node21 node22 node 23</listOfManagedResources>
+				</managedComputingResource>
+			</logicalResource>
+			<logicalResource resourceType="Cluster" resourceId="cluster4">
+				<schedulingParameter name="schedulingPlugin">
+					<paramValue>FCFSLocalSchedulingPlugin</paramValue>
+				</schedulingParameter>
+				<managedComputingResource>
+					<listOfManagedResources> node24 node25 node 26</listOfManagedResources>
+				</managedComputingResource>
+			</logicalResource>
+		</logicalResource>	
+	</resources>
+</environment>
Index: xssim/trunk/src/test/rewolucja/schemas/example/example4.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/example4.xml	(revision 235)
+++ xssim/trunk/src/test/rewolucja/schemas/example/example4.xml	(revision 235)
@@ -0,0 +1,39 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../XSSimResSchema.xsd">
+	
+	<!-- Opis dla data center z podstawowa charakterystyka zasobow -->
+	<resources>
+		<computingResource resourceType="DataCenter">
+			<schedulingParameter name="schedulingPlugin">
+					<paramValue>FCFSLocalSchedulingPlugin</paramValue>
+			</schedulingParameter>
+			<computingResource resourceType="ComputingNode" resourceId="compNode1">
+				<resourceParameter name="memory">
+					<paramValue>12288</paramValue>
+				</resourceParameter>
+				<resourceParameter name="cost">
+					<paramValue>100</paramValue>
+				</resourceParameter>
+				<computingResource resourceType="Processor">
+					<resourceParameter name="count">
+						<paramValue>8</paramValue>
+					</resourceParameter>
+				</computingResource>
+			</computingResource>	
+			<computingResource resourceType="ComputingNode" resourceId="compNode2">
+				<resourceParameter name="memory">
+					<paramValue>12288</paramValue>
+				</resourceParameter>
+				<resourceParameter name="cost">
+					<paramValue>60</paramValue>
+				</resourceParameter>
+				<computingResource resourceType="Processor">
+					<resourceParameter name="count">
+						<paramValue>8</paramValue>
+					</resourceParameter>
+				</computingResource>
+			</computingResource>
+		</computingResource>	
+	</resources>
+</environment>
Index: xssim/trunk/src/test/rewolucja/schemas/example/example5.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/example5.xml	(revision 235)
+++ xssim/trunk/src/test/rewolucja/schemas/example/example5.xml	(revision 235)
@@ -0,0 +1,49 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../XSSimResSchema.xsd">
+	
+	<!-- Opis dla data center z uwzglednieniem aspektow energetycznych -->
+	<resources>
+		<computingResource resourceType="DataCenter">
+			<schedulingParameter name="schedulingPlugin">
+					<paramValue>FCFSLocalSchedulingPlugin</paramValue>
+			</schedulingParameter>
+			<computingResource resourceType="ComputingNode">
+				<resourceParameter name="count">
+					<paramValue>57</paramValue>
+				</resourceParameter>
+				<!-- Pytanie czy poszczegolne -->
+				<energyParameter name="powerProfile">
+					<paramValue>ComputingNodePowerProfile</paramValue>
+				</energyParameter>
+				<energyParameter name="estimationPlugin">
+					<paramValue>ComputingNodeEnergyEstimationPlugin</paramValue>
+				</energyParameter>
+				<computingResource resourceType="Processor">
+					<resourceParameter name="count">
+						<paramValue>8</paramValue>
+					</resourceParameter>
+					<energyParameter name="powerProfile">
+						<paramValue>CPUPowerProfile</paramValue>
+						<!-- Mysle warto by to zmienic tak zeby poszczegolne wartosci byly tez opisane atrybutem "name". 
+						Poki co wykrozystalem to co oferowala poprzednia schema.
+						Na chwile obecna poszczegolne waartosci to, w kolejnosci: frequency, voltage, power consumption -->
+						<property name="P0">
+							<value>3000</value>
+							<value>1.3</value>
+							<value>35</value>
+						</property>
+						<property name="P1">
+							<value>2666</value>
+							<value>1.1</value>
+							<value>30</value>
+						</property>
+					</energyParameter>
+					<energyParameter name="estimationPlugin">
+						<paramValue>CPUEnergyEstimationPlugin</paramValue>
+					</energyParameter>
+				</computingResource>
+			</computingResource>	
+		</computingResource>	
+	</resources>
+</environment>
Index: xssim/trunk/src/test/rewolucja/schemas/example/example6.xml
===================================================================
--- xssim/trunk/src/test/rewolucja/schemas/example/example6.xml	(revision 235)
+++ xssim/trunk/src/test/rewolucja/schemas/example/example6.xml	(revision 235)
@@ -0,0 +1,74 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
+	xsi:noNamespaceSchemaLocation="../XSSimResSchema.xsd">
+	
+	<!-- Opis dla data center z uwzglednieniem rozmieszczenia zasobow -->
+	<resources>
+		<computingResource resourceType="DataCenter">
+			<schedulingParameter name="schedulingPlugin">
+					<paramValue>FCFSLocalSchedulingPlugin</paramValue>
+			</schedulingParameter>
+			<otherParameter name="dimensions">
+				<property name="width">
+					<value>40</value>
+				</property>
+				<property name="length">
+					<value>30</value>
+				</property>
+				<property name="height">
+					<value>4</value>
+				</property>
+			</otherParameter>
+			<computingResource resourceType="Rack" resourceId="rack1">
+				<otherParameter name="placement">
+					<property name="x">
+						<value>4</value>
+					</property>
+					<property name="y">
+						<value>3</value>
+					</property>
+				</otherParameter>
+				<otherParameter name="dimensions">
+					<property name="width">
+						<value>1</value>
+					</property>
+					<property name="length">
+						<value>1</value>
+					</property>
+					<property name="height">
+						<value>2</value>
+					</property>
+				</otherParameter>
+				<computingResource resourceType="ComputingNode" resourceId="node11">
+				</computingResource>
+				<computingResource resourceType="ComputingNode" resourceId="node12">
+				</computingResource>
+			</computingResource>	
+			<computingResource resourceType="Rack" resourceId="rack2">
+				<otherParameter name="placement">
+					<property name="x">
+						<value>6</value>
+					</property>
+					<property name="y">
+						<value>3</value>
+					</property>
+				</otherParameter>
+				<otherParameter name="dimensions">
+					<property name="width">
+						<value>1</value>
+					</property>
+					<property name="length">
+						<value>1</value>
+					</property>
+					<property name="height">
+						<value>2</value>
+					</property>
+				</otherParameter>
+				<computingResource resourceType="ComputingNode" resourceId="node21">
+				</computingResource>
+				<computingResource resourceType="ComputingNode" resourceId="node22">
+				</computingResource>
+			</computingResource>
+		</computingResource>	
+	</resources>
+</environment>