Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ExperimentEditor.properties
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ExperimentEditor.properties	(revision 82)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/pl_PL/ExperimentEditor.properties	(revision 237)
@@ -112,5 +112,6 @@
 Metaname=Grupa eksperymentÃ³w
 Add=+
-AddTooltip=Dodaj plik do zbioru roboczego
+AddTooltip=Dodaj eksperyment
+AddFileTooltip=Dodaj plik do zbioru roboczego
 Download=â
 DownloadTooltip=Pobierz plik na dysk
@@ -146,2 +147,5 @@
 
 SaveTooltip=Zapisz zmiany dokonane w eksperymencie
+
+ExperimentSubmited=Eksperyment zostaÅ zlecony do obliczeÅ
+ExperimentsSubmited=Wszystkie eksperymenty zostaÅy zlecone do obliczeÅ
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ExperimentEditor.properties
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ExperimentEditor.properties	(revision 82)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/locale/en_US/ExperimentEditor.properties	(revision 237)
@@ -96,5 +96,6 @@
 Metaname=Experiments group
 Add=+
-AddTooltip=Add file to workspace
+AddTooltip=Add experiment to workspace
+AddFileTooltip=Add file to workspace
 Download=â
 DownloadTooltip=Download file to local storage
@@ -127,2 +128,5 @@
 
 SaveTooltip=Save changes made to the experiment
+
+ExperimentSubmited=Experiment was succesfully submitted
+ExperimentsSubmited=All experiments were succesfully submitted
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml	(revision 87)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/experiment/FileManager.mxml	(revision 237)
@@ -191,5 +191,5 @@
 									<mx:Component>
 										<mx:HBox paddingLeft="4" horizontalGap="0" verticalGap="0">
-											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Add')}" toolTip="{resourceManager.getString('ExperimentEditor', 'AddTooltip')}" click="outerDocument.addItemToWorkspace(outerDocument.workloadFilesDG, parentApplication.experimentEditor.workspaceWorkloadsFileList)" height="30" width="33"/>
+											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Add')}" toolTip="{resourceManager.getString('ExperimentEditor', 'AddFileTooltip')}" click="outerDocument.addItemToWorkspace(outerDocument.workloadFilesDG, parentApplication.experimentEditor.workspaceWorkloadsFileList)" height="30" width="33"/>
 											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Remove')}" toolTip="{resourceManager.getString('ExperimentEditor', 'RemoveTooltip')}" click="outerDocument.removeFileItem(outerDocument.workloadFilesDG)" height="30" width="33"/>
 											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Download')}" toolTip="{resourceManager.getString('ExperimentEditor', 'DownloadTooltip')}" click="outerDocument.itemDownload(outerDocument.workloadFilesDG)" height="30" width="33"/>
@@ -213,5 +213,5 @@
 									<mx:Component>
 										<mx:HBox paddingLeft="4" horizontalGap="0" verticalGap="0">
-											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Add')}" toolTip="{resourceManager.getString('ExperimentEditor', 'AddTooltip')}" click="outerDocument.addItemToWorkspace(outerDocument.resourceFilesDG, parentApplication.experimentEditor.workspaceResourcesFileList)" height="30" width="33"/>
+											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Add')}" toolTip="{resourceManager.getString('ExperimentEditor', 'AddFileTooltip')}" click="outerDocument.addItemToWorkspace(outerDocument.resourceFilesDG, parentApplication.experimentEditor.workspaceResourcesFileList)" height="30" width="33"/>
 											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Remove')}" toolTip="{resourceManager.getString('ExperimentEditor', 'RemoveTooltip')}" click="outerDocument.removeFileItem(outerDocument.resourceFilesDG)" height="30" width="33"/>
 											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Download')}" toolTip="{resourceManager.getString('ExperimentEditor', 'DownloadTooltip')}" click="outerDocument.itemDownload(outerDocument.resourceFilesDG)" height="30" width="33"/>
@@ -234,5 +234,5 @@
 									<mx:Component>
 										<mx:HBox paddingLeft="4" horizontalGap="0" verticalGap="0">
-											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Add')}" toolTip="{resourceManager.getString('ExperimentEditor', 'AddTooltip')}" click="outerDocument.addItemToWorkspace(outerDocument.topologyFilesDG, parentApplication.experimentEditor.workspaceTopologiesFileList)" height="30" width="33"/>
+											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Add')}" toolTip="{resourceManager.getString('ExperimentEditor', 'AddFileTooltip')}" click="outerDocument.addItemToWorkspace(outerDocument.topologyFilesDG, parentApplication.experimentEditor.workspaceTopologiesFileList)" height="30" width="33"/>
 											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Remove')}" toolTip="{resourceManager.getString('ExperimentEditor', 'RemoveTooltip')}" click="outerDocument.removeFileItem(outerDocument.topologyFilesDG)" height="30" width="33"/>
 											<mx:Button label="{resourceManager.getString('ExperimentEditor', 'Download')}" toolTip="{resourceManager.getString('ExperimentEditor', 'DownloadTooltip')}" click="outerDocument.itemDownload(outerDocument.topologyFilesDG)" height="30" width="33"/>
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/archive/ExperimentStatisticsWindow.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/archive/ExperimentStatisticsWindow.mxml	(revision 73)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/gssim/editors/archive/ExperimentStatisticsWindow.mxml	(revision 237)
@@ -132,5 +132,5 @@
 			</mx:VBox>
 			<mx:VBox label="{resourceManager.getString('ArchiveViewer', 'Configuration')}">
-				<experiment:ExperimentPropertiesPanel id="properties"/>
+				<experiment:ExperimentPropertiesPanel id="properties" enabled="false"/>
 			</mx:VBox>
 			<mx:VBox width="100%" height="100%" id="resourceChart" label="{resourceManager.getString('ArchiveViewer', 'Resource')}">
Index: gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml
===================================================================
--- gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml	(revision 100)
+++ gssim_ui/branches/vine/gssimstudio/src/web/ui/flex/app/gssim/gssimstudio/editor/views/ExperimentEditor.mxml	(revision 237)
@@ -43,5 +43,5 @@
 			
 			[Bindable]
-			public var showDebug : Boolean = true;
+			public var showDebug : Boolean = false;
 			
 			private var isFileTransfering : Boolean = false;
@@ -80,4 +80,5 @@
 					submitExperiment(removeItem(experimentsDG) as ExperimentProperties);
 					experimentMetaname.text = "";
+					Alert.show(resourceManager.getString("ExperimentEditor", "ExperimentSubmited"));
 				}
 			}
@@ -100,5 +101,5 @@
 				
 				var serviceDN : String = "/C=PL/O=GRID/O=PSNC/CN=qcg-broker/qcg-broker.man.poznan.pl";
-				var serviceURL : String = "https://elder12.man.poznan.pl:8443/qcg/services/JobFactory";
+				var serviceURL : String = "https://qcg-broker.man.poznan.pl:8443/qcg/services/JobFactory";
 				
 				parentApplication.service.uploadAndSubmitExperiment
@@ -115,4 +116,5 @@
 				}
 				experimentMetaname.text = "";
+				Alert.show(resourceManager.getString("ExperimentEditor", "ExperimentsSubmited"));
 			}
 			