Index: xssim/branches/tpiontek/example/RunExperiment.java
===================================================================
--- xssim/branches/tpiontek/example/RunExperiment.java	(revision 104)
+++ 	(revision )
@@ -1,18 +1,0 @@
-import simulator.GridSchedulingSimulator;
-
-
-public class RunExperiment {
-	
-	public static void main(String args[]){
-		RunExperiment runner = new RunExperiment();
-		runner.run();
-	}
-	
-	public void run(){
-		String args[] = {
-				"example/experiment1.properties"
-				};
-		GridSchedulingSimulator.main(args);
-	}
-
-}
Index: xssim/branches/tpiontek/example/experiment1.properties
===================================================================
--- xssim/branches/tpiontek/example/experiment1.properties	(revision 104)
+++ 	(revision )
@@ -1,33 +1,0 @@
-# Use single *.swf file as workload description.
-# Computing environment consists of two computing resources.
-# Plugin implementation and resources does not support reservation scheduling model.
-
-# Grid plugin implements simple round robin algorithm
-gridschedulingpluginname=example.gridplugin.GridFCFSRoundRobinPlugin
-
-# Local plugin starts task execution in FCFS order
-localallocpolicypluginname=example.localplugin.FCFSClusterLocalPlugin
-
-# Linear model of cpu processing power is used for task execution time estimations. 
-exectimeestimationpluginname=example.timeestimation.ExecTimeEstimationPlugin
-
-# Path to xml file which describes resource characteristics.
-resdesc=example/workload/HostParameters.xml
-
-
-# and swf file, which name is declared by readscenario.workloadfilename parameter.
-# Swf file must be placed in readscenario.inputfolder directory.  
-readscenario.workloadfilename=example/workload/SDSC-SP2-0-1000.swf
-
-# Choose if files with task processing history should be created.  
-printhistory=true
-
-# Choose directory where all result files should be placed.
-stats.outputfolder=../experiment1_result
-
-
-envdesc=example/workload/ResourceDescription.properties
-
-creatediagrams.processors=false
-creatediagrams.tasks=false
-creatediagrams.taskswaitingtime=false
Index: xssim/branches/tpiontek/example/experiment2.properties
===================================================================
--- xssim/branches/tpiontek/example/experiment2.properties	(revision 104)
+++ 	(revision )
@@ -1,29 +1,0 @@
-# Workload description consists of *.swf file and set of xml files. Xml files
-# contains additional information which is essential to pursue resource
-# advance reservation scheduling model.
-
-# Grid plugin analyze detail state of all resources
-gridschedulingpluginname=example.gridplugin.GridARAllSlots
-
-# Local plugin starts task execution in FCFS order and returns detail information
-# about resource state.
-localallocpolicypluginname=example.localplugin.ARAllSlots
-
-# Linear model of cpu processing power is used for task execution time estimations.
-exectimeestimationpluginname=example.timeestimation.ExecTimeEstimationPlugin
-
-# Path to xml file which describes resource characteristics.
-resdesc=example/workloadAR/HostParametersAR.xml
-
-# Path to directory which contains workload description. In this experiment workload
-# consists of set of xml files, which should be placed directly in readscenario.inputfolder 
-readscenario.inputfolder=example/workloadAR
-# and swf file, which name is declared by readscenario.workloadfilename parameter.
-# Swf file must be placed in readscenario.inputfolder directory.  
-readscenario.workloadfilename=workload.swf
-
-# Choose if files with task processing history should be created. 
-printhistory=true
-
-# Choose directory where all result files should be placed.
-stats.outputfolder=../experiment2_result
Index: xssim/branches/tpiontek/example/experiment3.properties
===================================================================
--- xssim/branches/tpiontek/example/experiment3.properties	(revision 104)
+++ 	(revision )
@@ -1,30 +1,0 @@
-# Workload description consists of *.swf file and set of xml files. Xml files
-# contains additional information which is essential to pursue resource
-# advance reservation scheduling model.
-
-# Grid plugin choose randomly between offers returned by local resources/plugins.
-# All offers must satisfy task resource requirements.
-gridschedulingpluginname=example.gridplugin.GridARFirstFit
-
-# Local plugin starts task execution in FCFS order and returns offers which
-# exactly satisfies task resource requirements.
-localallocpolicypluginname=example.localplugin.ARFirstFit
-
-# Linear model of cpu processing power is used for task execution time estimations.
-exectimeestimationpluginname=example.timeestimation.ExecTimeEstimationPlugin
-
-# Path to xml file which describes resource characteristics.
-resdesc=example/workloadAR/HostParametersAR.xml
-
-# Path to directory which contains workload description. In this experiment workload
-# consists of set of xml files, which should be placed directly in readscenario.inputfolder 
-readscenario.inputfolder=example/workloadAR
-# and swf file, which name is declared by readscenario.workloadfilename parameter.
-# Swf file must be placed in readscenario.inputfolder directory.  
-readscenario.workloadfilename=workload.swf
-
-# Choose if files with task processing history should be created. 
-printhistory=true
-
-# Choose directory where all result files should be placed.
-stats.outputfolder=../experiment3_result
Index: xssim/branches/tpiontek/example/experiment4.properties
===================================================================
--- xssim/branches/tpiontek/example/experiment4.properties	(revision 104)
+++ 	(revision )
@@ -1,36 +1,0 @@
-# Workload description consists of *.swf file and set of xml files. Xml files
-# contains additional information which is essential to pursue resource
-# advance reservation scheduling model.
-
-# Grid plugin choose randomly between offers returned by local resources/plugins.
-# All offers must satisfy task resource requirements.
-# Network reservation is based on Dijkstra algorithm, which 
-# finds the best(shortest) path between two nodes according to time and bandwidth requirements.
-# Task 2_0 is not executed due to failure during network reservation(couldn't satisfy bandwidth requirements)
-gridschedulingpluginname=example.gridplugin.GridARNRDijkstra
-
-# Local plugin starts task execution in FCFS order and returns offers which
-# exactly satisfies task resource requirements.
-localallocpolicypluginname=example.localplugin.ARFirstFit
-
-# Linear model of cpu processing power is used for task execution time estimations.
-exectimeestimationpluginname=example.timeestimation.ExecTimeEstimationPlugin
-
-# Path to xml file which describes resource characteristics.
-resdesc=example/workloadARNR/HostParameters.xml
-
-# Path to txt file which describes network topology.
-networktopologyfilename=example/workloadARNR/network.txt
-
-# Path to directory which contains workload description. In this experiment workload
-# consists of set of xml files, which should be placed directly in readscenario.inputfolder 
-readscenario.inputfolder=example/workloadARNR
-# and swf file, which name is declared by readscenario.workloadfilename parameter.
-# Swf file must be placed in readscenario.inputfolder directory.  
-readscenario.workloadfilename=workload.swf
-
-# Choose if files with task processing history should be created. 
-printhistory=true
-
-# Choose directory where all result files should be placed.
-stats.outputfolder=../experiment4_result
Index: xssim/branches/tpiontek/example/experiment5.properties
===================================================================
--- xssim/branches/tpiontek/example/experiment5.properties	(revision 104)
+++ 	(revision )
@@ -1,37 +1,0 @@
-# Workload description consists of *.swf file and set of xml files. Xml files
-# contains additional information which is essential to pursue resource
-# advance reservation scheduling model.
-
-# Grid plugin choose randomly between offers returned by local resources/plugins.
-# All offers must satisfy task resource requirements.
-# Network reservation is dependent on user, who defines path between nodes, 
-# relying on task requirements and network parameters provided by network reservation manager.
-gridschedulingpluginname=example.gridplugin.GridARNRSpecificPath
-
-# Local plugin starts task execution in FCFS order and returns offers which
-# exactly satisfies task resource requirements.
-localallocpolicypluginname=example.localplugin.ARFirstFit
-
-# Linear model of cpu processing power is used for task execution time estimations.
-exectimeestimationpluginname=example.timeestimation.ExecTimeEstimationPlugin
-
-# Path to xml file which describes resource characteristics.
-resdesc=example/workloadARNR2/HostParameters.xml
-
-# Path to txt file which describes network topology.
-networktopologyfilename=example/workloadARNR2/network.txt
-
-# Path to directory which contains workload description. In this experiment workload
-# consists of set of xml files, which should be placed directly in readscenario.inputfolder 
-readscenario.inputfolder=example/workloadARNR2
-# and swf file, which name is declared by readscenario.workloadfilename parameter.
-# Swf file must be placed in readscenario.inputfolder directory.  
-readscenario.workloadfilename=workload.swf
-
-# Choose if files with task processing history should be created. 
-printhistory=true
-
-# Choose directory where all result files should be placed.
-stats.outputfolder=../experiment5_result
-
-createstatistics.formatoutput=true