Index: xssim/branches/tpiontek/example/tomekp/scenario_1/workload.swf
===================================================================
--- xssim/branches/tpiontek/example/tomekp/scenario_1/workload.swf	(revision 251)
+++ xssim/branches/tpiontek/example/tomekp/scenario_1/workload.swf	(revision 251)
@@ -0,0 +1,15 @@
+;Automatically generated workload description by the Grid Scheduling Simulator
+;		j|		s|		w|		r|		c|		c|		m|		p|		t|		m|		s|		u|		g|		e|		q|		p|		p|		t|
+;		o|		u|		a|		u|		p|		p|		e|		r|		i|		e|		t|		i|		i|		x|		u|		a|		r|		h|
+;		b|		b|		i|		n|		u|		u|		m|		o|		m|		m|		a|		d|		d|		e|		e|		r|		e|		i|
+;		 |		m|		t|		t|		 |		 |		 |		c|		e|		 |		t|		 |		 |		c|		u|		t|		c|		n|
+;		 |		i|		 |		i|		a|		t|		u|		 |		 |		r|		u|		 |		 |		u|		e|		i|		 |		k|
+;		 |		t|		 |		m|		l|		i|		s|		r|		r|		e|		s|		 |		 |		t|		 |		t|		j|		 |
+;		 |		 |		 |		e|		l|		m|		e|		e|		e|		q|		 |		 |		 |		a|		n|		i|		o|		t|
+;		 |		 |		 |		 |		o|		e|		d|		q|		q|		 |		 |		 |		 |		b|		r|		o|		b|		i|
+;		 |		 |		 |		 |		c|		 |		 |		 |		 |		 |		 |		 |		 |		l|		 |		n|		 |		m|
+;		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		e|		 |		 |		 |		e|
+;PUSpeed: 1
+;StartTime: Thu Jan 15 10:00:00 CET 2009
+		0		37		-1		1		1		-1		-1		1		1		-1		-1		-1		-1		-1		-1		-1		-1		-1	
+		999		65088		-1		1		1		-1		-1		1		1		-1		-1		-1		-1		-1		-1		-1		-1		-1
Index: xssim/branches/tpiontek/example/tomekp/scenario_1/RunExperiment.java
===================================================================
--- xssim/branches/tpiontek/example/tomekp/scenario_1/RunExperiment.java	(revision 251)
+++ xssim/branches/tpiontek/example/tomekp/scenario_1/RunExperiment.java	(revision 251)
@@ -0,0 +1,19 @@
+package tomekp.scenario_1;
+import simulator.GridSchedulingSimulator;
+
+
+public class RunExperiment {
+	
+	public static void main(String args[]){
+		RunExperiment runner = new RunExperiment();
+		runner.run();
+	}
+	
+	public void run(){
+		String args[] = {
+				"example/tomekp/scenario_1/scenario.properties"
+				};
+		GridSchedulingSimulator.main(args);
+	}
+
+}
Index: xssim/branches/tpiontek/example/tomekp/scenario_1/ResourceDescription.properties
===================================================================
--- xssim/branches/tpiontek/example/tomekp/scenario_1/ResourceDescription.properties	(revision 251)
+++ xssim/branches/tpiontek/example/tomekp/scenario_1/ResourceDescription.properties	(revision 251)
@@ -0,0 +1,20 @@
+
+firstLayer=COMPUTING_GRID
+
+secondLayer=DATA_CENTER
+
+thirdLayer=COMPUTING_NODE
+
+fourthLayer=CPU
+
+
+
+grids=1
+dataCenters=1
+nodes=75
+cpus=4
+
+
+modelA=50
+modelB=25
+
Index: xssim/branches/tpiontek/example/tomekp/scenario_1/scenario.properties
===================================================================
--- xssim/branches/tpiontek/example/tomekp/scenario_1/scenario.properties	(revision 251)
+++ xssim/branches/tpiontek/example/tomekp/scenario_1/scenario.properties	(revision 251)
@@ -0,0 +1,32 @@
+# Use single *.swf file as workload description.
+# Computing environment consists of two computing resources.
+# Plugin implementation and resources does not support reservation scheduling model.
+
+# Grid plugin implements simple round robin algorithm
+gridschedulingpluginname=example.gridplugin.GridFCFSRoundRobinPlugin
+
+# Local plugin starts task execution in FCFS order
+localallocpolicypluginname=example.localplugin.FCFSRandomClusterLocalPlugin
+
+# Linear model of cpu processing power is used for task execution time estimations. 
+exectimeestimationpluginname=example.timeestimation.ExecTimeEstimationPlugin
+
+# Path to xml file which describes resource characteristics.
+resdesc=example/workload/HostParameters.xml
+
+
+# and swf file, which name is declared by readscenario.workloadfilename parameter.
+# Swf file must be placed in readscenario.inputfolder directory.  
+readscenario.workloadfilename=example/tomekp/scenario_1/workload.swf
+
+# Choose if files with task processing history should be created.  
+printhistory=true
+
+# Choose directory where all result files should be placed.
+stats.outputfolder=./RESULTS
+
+envdesc=example/tomekp/scenario_1/ResourceDescription.properties
+
+creatediagrams.processors=true
+creatediagrams.taskswaitingtime=false
+creatediagrams.tasks=false